%define beta 0
%define _unpackaged_files_terminate_build 0

%{?beta:%define __os_install_post /usr/lib/rpm/brp-compress}

# Utility feature defines.
%{!?enable_mb:%define enable_mb 1}

Summary: PostgreSQL 7.2 libraries.
Name: postgresql72
Version: 1

Release: 4.rhl9
License: BSD
Group: Applications/Databases
Source0: ftp://ftp.postgresql.org/pub/source/v7.2.4/postgresql-7.2.4.tar.gz
Source1: ftp://ftp.postgresql.org/pub/source/v7.2.4/postgresql-7.2.4.tar.gz.md5
Patch0: errno.patch
Patch1: postgresql-7.2.4-security.patch
Buildrequires: glibc-devel
Prereq: /sbin/ldconfig initscripts
BuildPrereq: readline-devel
BuildPrereq: zlib-devel >= 1.0.4

ExclusiveArch: i386 alpha ia64

Url: http://www.postgresql.org/ 
Obsoletes: postgresql-clients
Buildroot: %{_tmppath}/%{name}-%{version}-root

# This is a derivative of the PostgreSQL Global Development Group Official
# RPMset spec file, with everything but the libraries stripped out.
# Copyright 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
# and others listed.

# Major Contributors:
# ---------------
# Lamar Owen
# Trond Eivind Glomsrd <teg@redhat.com>
# Thomas Lockhart
# Reinhard Max
# Karl DeBisschop
# Peter Eisentraut
# and others in the Changelog....

# This spec file and ancilliary files are licensed in accordance with 
# The PostgreSQL license.

%description
PostgreSQL is an advanced Object-Relational database management system
(DBMS) that supports almost all SQL constructs (including
transactions, subselects and user-defined types and functions). The
postgresql package includes the client programs and libraries that
you'll need to access a PostgreSQL DBMS server.  These PostgreSQL
client programs are programs that directly manipulate the internal
structure of PostgreSQL databases on a PostgreSQL server. These client
programs can be located on the same machine with the PostgreSQL
server, or may be on a remote machine which accesses a PostgreSQL
server over a network connection. This package contains the docs
in HTML for the whole package, as well as command-line utilities for
managing PostgreSQL databases on a PostgreSQL server. 

If you want to manipulate a PostgreSQL database on a remote PostgreSQL
server, you need this package. You also need to install this package
if you're installing the postgresql-server package.

%package libs
Summary: The shared libraries required for any PostgreSQL clients.
Group: Applications/Databases
Provides: libpq.so.2 libpq.so.2.0 libpq.so

%description libs
The postgresql-libs package provides the essential shared libraries for any 
PostgreSQL client program or interface. You will need to install this package
to use any other PostgreSQL package or any clients that need to connect to a
PostgreSQL server.

%prep
%setup -q -n postgresql-7.2.4

%patch0 -p1 
%patch1 -p1 

%build

CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS

# Strip out -ffast-math from CFLAGS....

CFLAGS=`echo $CFLAGS|xargs -n 1|grep -v ffast-math|xargs -n 100`

./configure --enable-locale  --with-CXX --prefix=/usr --disable-rpath\

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
make -C contrib DESTDIR=$RPM_BUILD_ROOT install

# install dev headers.

make DESTDIR=$RPM_BUILD_ROOT install-all-headers

# copy over Makefile.global to the include dir....
install -m755 src/Makefile.global $RPM_BUILD_ROOT/usr/include/pgsql

%pre
# Need to make backups of some executables if an upgrade
# They will be needed to do a dump of the old version's database.
# All output redirected to /dev/null.

if [ $1 -gt 1 ]
then
   mkdir -p /usr/lib/pgsql/backup > /dev/null
   pushd /usr/lib > /dev/null
   cp -fp libpq.* /usr/share/pgsql/backup > /dev/null 2>&1 || :
   popd > /dev/null
fi

%post libs -p /sbin/ldconfig 
%postun libs -p /sbin/ldconfig 

%clean
rm -rf $RPM_BUILD_ROOT

%files libs
%defattr(-,root,root)
%{_libdir}/libpq.so.*

%changelog
* Mon Nov 03 2003 David Jee <djee@redhat.com> 1-4.rhl9
- Import 7.2.4 source.
- Import a patch that fixes numerous security bugs.

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 1-3
- rebuild

* Mon Jan 13 2003 Andrew Overholt <overholt@redhat.com>
- 1-1
- initial build (just took out non-lib stuff from main specfile)
- 1-2
- remove ecpg, libpq++

* Tue Dec 17 2002 Andrew Overholt <overholt@redhat.com>
- 7.2.3-1 - initial Red Hat build.

* Wed Oct 02 2002 Lamar Owen <lamar.owen@ramifordistat.net>
- 7.2.3-1PGDG

* Mon Aug 26 2002 Lamar Owen <lamar.owen@ramifordistat.net>
- 7.2.2-1PGDG
- Applied PeterE's contrib patch -- contrib is now completely restructured.
- server conflicts with less than 7.2, as a warning to the upcoming
-- yank of the broken partial upgrade.

* Thu Aug 22 2002 Lamar Owen <lamar.owen@ramifordistat.net>
- 7.2.2 security fix.
- deprecate postgresql-dump system.
- 7.2.2-0.1PGDG PRERELEASE!

* Fri Apr 12 2002 Lamar Owen <lamar.owen@ramifordistat.net>
- Correct tcl conditionals -- especially for the devel package.
- Corrected BuildPrereq conditionals.
- Added a build6x conditional -- define it to build for RHL 6.x
- Integrate a few of Trond's fixes from RawHide.
- Pulled file-lists out of tarball for better maintainability.
- Updated README.rpm-dist.
- 6.x build can't buildprereq pam-devel, as 6.x has no pam-devel.

* Tue Apr 09 2002 Lamar Owen <lamar.owen@ramifordistat.net>
- Integrate DP's patch and stuff.

* Fri Apr 05 2002 David B. Peterson <dave@toppledwagon.com>
- hacked for 7.2.1 (made rpm-pgsql-7.2.1.patch from rpm-pgsql-7.2.patch)
- changed gettext version to 0.10.35 (from 0.10.36, for RH62)
- added BuildPrereq for tk

* Wed Apr  3 2002 Trond Eivind Glomsrd <teg@redhat.com> 7.2.1-3
- make postgresql-server and postgresql depend on postgresql-libs
- store backups of old binaries in /usr/lib/pgsql/backup instead of /usr/share

* Thu Mar 21 2002 Trond Eivind Glomsrd <teg@redhat.com> 7.2-6
- Move the libpgtcl.so symlink into the tcl subpackage from -devel
- Enable pam support
- Include the odbc plugin, not just the symlink to it

* Tue Feb 04 2002 Lamar Owen <lamar.owen@wgcr.org>
- 7.2 final.
- 7.2-1PGDG RPM release.
- Integrate NLS build per Peter E.
- Clean up a few things; undef beta for final build.
- Newer JDBC -- point to correct website and 7.2 dev.
- postgresql.init changes.
- NLS build does funky %defattr things; redhat-style-files.lst changed
-- for execute permission on /etc/rc.d/init.d/postgresql

* Sun Jan 27 2002 Lamar Owen <lamar.owen@wgcr.org>
- 7.2rc2-0.1PGDG

* Thu Nov 29 2001 Lamar Owen <lamar.owen@wgcr.org>
- 7.2b3-0.3PGDG
- beta conditionals for debugging, assertion checking, and no strip.

* Tue Nov 27 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Improve python version handling

* Fri Nov 23 2001 Lamar Owen <lamar.owen@wgcr.org>
- 7.2b3-0.2PGDG
- second beta3 tarball.

* Thu Nov 22 2001 Lamar Owen <lamar.owen@wgcr.org>
- 7.2b3-0.1PGDG
- Beta3
- Docs changes --man pages back, internals.ps gone.
- manl (letter 'ell') is now 'man7'.

* Mon Nov 19 2001 Lamar Owen <lamar.owen@wgcr.org>
- 7.2b2-0.1PGDG
- --disable-rpath configure option.

* Fri Oct 26 2001 Lamar Owen <lamar.owen@wgcr.org>
- Actual PGDG 7.2b1.

* Mon Oct 01 2001 Lamar Owen <lamar.owen@wgcr.org>
- 7.2alpha-0.1PGDG
- Merged some changes from Peter Eisentraut for7.2.
- Cleaned up some legacy junk.
- Prepare for 7.2 beta cycle.
